Bug 185437 - [PATCH] lang/php5: Enable building php-fpm by default
Summary: [PATCH] lang/php5: Enable building php-fpm by default
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Dupre
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-03 10:30 UTC by Bakulin Ilya
Modified: 2014-02-09 12:48 UTC (History)
1 user (show)

See Also:


Attachments
php5-5.4.23.patch (444 bytes, patch)
2014-01-03 10:30 UTC, Bakulin Ilya
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bakulin Ilya 2014-01-03 10:30:00 UTC
php-fpm was integrated in PHP core since release 5.4 and is quite stable.
Many high-loaded web sites use it as a PHP backend.
It has no extra dependencies. So it makes sense to enable building it by default.

Port maintainer (ale@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_11 (mode: change, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2014-01-03 10:30:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ale

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Alex Dupre freebsd_committer 2014-01-31 16:54:31 UTC
State Changed
From-To: open->suspended

I'll do it in the next php update.
Comment 3 dfilter service freebsd_committer 2014-02-09 08:39:09 UTC
Author: ale
Date: Sun Feb  9 08:39:00 2014
New Revision: 343435
URL: http://svnweb.freebsd.org/changeset/ports/343435
QAT: https://qat.redports.org/buildarchive/r343435/

Log:
  - Update to 5.4.25 release [1]
  - Enable FPM by default [2]
  - Add support to override configure flags [3]
  
  To users requesting mod_php package, please read this:
  https://wiki.apache.org/httpd/PHP-FPM
  
  PR:		ports/186564 [1], ports/185437 [2], ports/186536 [3]
  Submitted by:	Rustem Alimov <rustem.alimov@gmail.com> [1],
  		Ilya Bakulin <webmaster@kibab.com> [2],
  		Reinier Schoof <reinier@skoef.nl> [3]

Modified:
  head/converters/php5-iconv/Makefile
  head/databases/php5-interbase/Makefile
  head/databases/php5-pdo_firebird/Makefile
  head/ftp/php5-curl/Makefile
  head/lang/php5/Makefile
  head/lang/php5/distinfo

Modified: head/converters/php5-iconv/Makefile
==============================================================================
--- head/converters/php5-iconv/Makefile	Sun Feb  9 08:08:43 2014	(r343434)
+++ head/converters/php5-iconv/Makefile	Sun Feb  9 08:39:00 2014	(r343435)
@@ -1,7 +1,6 @@
 # Created by: Alex Dupre <ale@FreeBSD.org>
 # $FreeBSD$
 
-PORTREVISION=	1
 CATEGORIES=	converters
 
 MASTERDIR=	${.CURDIR}/../../lang/php5

Modified: head/databases/php5-interbase/Makefile
==============================================================================
--- head/databases/php5-interbase/Makefile	Sun Feb  9 08:08:43 2014	(r343434)
+++ head/databases/php5-interbase/Makefile	Sun Feb  9 08:39:00 2014	(r343435)
@@ -1,7 +1,6 @@
 # Created by: Alex Dupre <ale@FreeBSD.org>
 # $FreeBSD$
 
-PORTREVISION=	1
 CATEGORIES=	databases
 
 MASTERDIR=	${.CURDIR}/../../lang/php5

Modified: head/databases/php5-pdo_firebird/Makefile
==============================================================================
--- head/databases/php5-pdo_firebird/Makefile	Sun Feb  9 08:08:43 2014	(r343434)
+++ head/databases/php5-pdo_firebird/Makefile	Sun Feb  9 08:39:00 2014	(r343435)
@@ -1,7 +1,6 @@
 # Created by: Alex Dupre <ale@FreeBSD.org>
 # $FreeBSD$
 
-PORTREVISION=	1
 CATEGORIES=	databases
 
 MASTERDIR=	${.CURDIR}/../../lang/php5

Modified: head/ftp/php5-curl/Makefile
==============================================================================
--- head/ftp/php5-curl/Makefile	Sun Feb  9 08:08:43 2014	(r343434)
+++ head/ftp/php5-curl/Makefile	Sun Feb  9 08:39:00 2014	(r343435)
@@ -2,7 +2,6 @@
 # $FreeBSD$
 
 CATEGORIES=	ftp
-PORTREVISION=	1
 
 MASTERDIR=	${.CURDIR}/../../lang/php5
 

Modified: head/lang/php5/Makefile
==============================================================================
--- head/lang/php5/Makefile	Sun Feb  9 08:08:43 2014	(r343434)
+++ head/lang/php5/Makefile	Sun Feb  9 08:39:00 2014	(r343435)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	php5
-PORTVERSION=	5.4.24
+PORTVERSION=	5.4.25
 PORTREVISION?=	0
 CATEGORIES?=	lang devel www
 MASTER_SITES=	${MASTER_SITE_PHP}
@@ -23,8 +23,7 @@ USE_AUTOTOOLS=	autoconf
 
 LIB_DEPENDS=	libpcre.so:${PORTSDIR}/devel/pcre
 
-CONFIGURE_ARGS=	\
-		--with-layout=GNU \
+CONFIGURE_ARGS+=--with-layout=GNU \
 		--localstatedir=/var \
 		--with-config-file-scan-dir=${PREFIX}/etc/php \
 		--disable-all \
@@ -38,7 +37,7 @@ CONFIGURE_ARGS=	\
 USE_GNOME=	libxml2
 
 OPTIONS_DEFINE=	CLI CGI FPM APACHE AP2FILTER EMBED DEBUG DTRACE IPV6 MAILHEAD LINKTHR ZTS
-OPTIONS_DEFAULT=CLI CGI IPV6 LINKTHR
+OPTIONS_DEFAULT=CLI CGI FPM IPV6 LINKTHR
 OPTIONS_SUB=	yes
 
 CLI_DESC=	Build CLI version

Modified: head/lang/php5/distinfo
==============================================================================
--- head/lang/php5/distinfo	Sun Feb  9 08:08:43 2014	(r343434)
+++ head/lang/php5/distinfo	Sun Feb  9 08:39:00 2014	(r343435)
@@ -1,4 +1,4 @@
-SHA256 (php-5.4.24.tar.bz2) = 97fe70eddaf5b93969714a551870fe03f6b0a387f85b83a6d63a40a76199a327
-SIZE (php-5.4.24.tar.bz2) = 12256796
+SHA256 (php-5.4.25.tar.bz2) = b6c18c07c6bf34f75e601b28829d636e44c1c9f4267aac4ed013443c32a2245f
+SIZE (php-5.4.25.tar.bz2) = 11739877
 SHA256 (php-5.4.x-mail-header.patch) = 005ae1cd8ed17c72d7b09dee9c4466e8b16d4ecba7fe11276731ed6ff9fbb344
 SIZE (php-5.4.x-mail-header.patch) = 3379
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Alex Dupre freebsd_committer 2014-02-09 12:47:55 UTC
State Changed
From-To: suspended->closed

Committed.